###
###
###

.seqnames <- paste("chr", c("I", "II", "III", "IV", "V", "X", "M"), sep="")

.circ_seqs <- "chrM"

.mseqnames <- c("upstream1000", "upstream2000", "upstream5000")

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Caenorhabditis elegans",
        species="Worm",
        provider="UCSC",
        provider_version="ce2",
        release_date="Mar. 2004",
        release_name="WormBase v. WS120",
        source_url="http://hgdownload.cse.ucsc.edu/goldenPath/ce2/bigZips/",
        seqnames=.seqnames,
        circ_seqs=.circ_seqs,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Celegans"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

